Package: org.codehaus.groovy.syntax

## [Java] Class TokenUtil

- org.codehaus.groovy.syntax.TokenUtil

-     public class TokenUtil
      extends Object

  Utility methods for working with Tokens.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static Optional<Token>` | `asAssignment(int op)`
    `` | `public static int` | `removeAssignment(int op)` Removes the assignment portion of a given token.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public static Optional<Token> asAssignment(int op)

    - #### public static int removeAssignment(int op)

      Removes the assignment portion of a given token. If the given token is not an operator with assignment, the given token is returned.

      Parameters:
        `op` - token for which to remove assignment
      Returns:
        token without assignment, or the original token if it was not an assignment operator